%global icon_themes    hicolor

Name:           swell-foop
Version:        3.22.2
Release:        1%{?dist}
Summary:        GNOME colored tiles puzzle game

License:        GPLv2+ and GFDL
URL:            https://wiki.gnome.org/Apps/Swell%20Foop
Source0:        http://download.gnome.org/sources/swell-foop/3.22/swell-foop-%{version}.tar.xz

BuildRequires:  clutter-gtk-devel >= 1.4.0
BuildRequires:  desktop-file-utils
BuildRequires:  gtk3-devel >= 3.12
BuildRequires:  intltool
BuildRequires:  itstool
BuildRequires:  yelp-tools
BuildRequires:  vala

Obsoletes: gnome-games-swell-foop < 1:3.7.92-1
Obsoletes: gnome-games < 1:3.7.92-1
Obsoletes: gnome-games-help < 1:3.7.92-1

%description
Clear the screen by removing groups of colored and shaped tiles

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}


%install
%make_install

%find_lang %{name} --with-gnome


%check
desktop-file-validate $RPM_BUILD_ROOT%{_datadir}/applications/swell-foop.desktop


%post
for theme in %{icon_themes} ; do
  touch --no-create %{_datadir}/icons/$theme &>/dev/null || :
done


%postun
if [ $1 -eq 0 ]; then
  for theme in %{icon_themes} ; do
    touch --no-create %{_datadir}/icons/$theme &> /dev/null
    gtk-update-icon-cache %{_datadir}/icons/$theme &> /dev/null || :
  done
  glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi


%posttrans
for theme in %{icon_themes} ; do
  gtk-update-icon-cache %{_datadir}/icons/$theme &>/dev/null || :
done
glib-compile-schemas %{_datadir}/glib-2.0/schemas &>/dev/null || :


%files -f %{name}.lang
%license COPYING
%{_bindir}/swell-foop
%{_datadir}/appdata/swell-foop.appdata.xml
%{_datadir}/applications/swell-foop.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.swell-foop.gschema.xml
%{_datadir}/icons/hicolor/*/apps/swell-foop*
%{_datadir}/swell-foop


%changelog
* Tue Nov  8 2016 Yanko Kaneti <yaneti@declera.com> - 3.22.2-1
- Update to 3.22.2

* Mon Sep 19 2016 Kalev Lember <klember@redhat.com> - 3.22.0-1
- Update to 3.22.0

* Tue Sep 13 2016 Yanko Kaneti <yaneti@declera.com> - 3.21.92-1
- Update to 3.21.92

* Tue Aug 30 2016 Yanko Kaneti <yaneti@declera.com> - 3.21.91-1
- Update to 3.21.91

* Thu Aug 18 2016 Kalev Lember <klember@redhat.com> - 3.21.90-1
- Update to 3.21.90
- Move desktop file validation to the check section

* Tue Mar 22 2016 Yanko Kaneti <yaneti@declera.com> - 3.20.0-1
- Update to 3.20.0

* Mon Mar 14 2016 Yanko Kaneti <yaneti@declera.com> - 3.19.91-1
- Update to 3.19.91

* Tue Feb 16 2016 Yanko Kaneti <yaneti@declera.com> - 3.19.90-1
- Update to 3.19.90

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 3.19.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Jan 19 2016 Yanko Kaneti <yaneti@declera.com> - 3.19.4-1
- Update to 3.19.4

* Mon Dec 14 2015 Yanko Kaneti <yaneti@declera.com> - 3.19.3-1
- Update to 3.19.3

* Tue Nov 10 2015 Kalev Lember <klember@redhat.com> - 3.18.1-1
- Update to 3.18.1

* Mon Sep 21 2015 Kalev Lember <klember@redhat.com> - 3.18.0-1
- Update to 3.18.0

* Mon Sep 14 2015 Kalev Lember <klember@redhat.com> - 3.17.92-1
- Update to 3.17.92

* Mon Aug 31 2015 Kalev Lember <klember@redhat.com> - 3.17.91-1
- Update to 3.17.91
- Use make_install macro

* Mon Aug 17 2015 Yanko Kaneti <yaneti@declera.com> - 3.17.90-1
- Update to 3.17.90

* Wed Aug 12 2015 Yanko Kaneti <yaneti@declera.com> - 3.16.2-1
- Update to 3.16.2. Bug #1252480

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.16.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Apr 14 2015 Yanko Kaneti <yaneti@declera.com> - 3.16.1-1
- Update to 3.16.1
- No more separate HighContrast icons

* Mon Mar 23 2015 Yanko Kaneti <yaneti@declera.com> - 3.16.0-1
- Update to 3.16.0
- Use license macro

* Mon Mar 16 2015 Yanko Kaneti <yaneti@declera.com> - 3.15.92-1
- Update to 3.15.92

* Mon Mar  2 2015 Yanko Kaneti <yaneti@declera.com> - 3.15.91-1
- Update to 3.15.91

* Mon Feb 16 2015 Yanko Kaneti <yaneti@declera.com> - 3.15.90-1
- Update to 3.15.90

* Mon Jan 19 2015 Yanko Kaneti <yaneti@declera.com> - 3.15.4-1
- Update to 3.15.4

* Mon Dec 15 2014 Yanko Kaneti <yaneti@declera.com> - 3.15.3-1
- Update to 3.15.3

* Mon Oct 27 2014 Yanko Kaneti <yaneti@declera.com> - 3.15.1-1
- First devlopment release from the 3.16 cycle

* Mon Sep 22 2014 Yanko Kaneti <yaneti@declera.com> - 3.14.0-1
- Update to 3.14.0

* Tue Sep 16 2014 Yanko Kaneti <yaneti@declera.com> - 3.13.92-1
- Update to 3.13.92

* Tue Aug 19 2014 Yanko Kaneti <yaneti@declera.com> - 3.13.90-1
- Update to 3.13.90
- Theme snippets rework

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.13.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.13.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Apr 28 2014 Yanko Kaneti <yaneti@declera.com> - 3.13.1-1
- First release from the new development cycle.

* Tue Apr 15 2014 Yanko Kaneti <yaneti@declera.com> - 3.12.1-1
- Update to 3.12.1. Drop upstreamed patch.

* Thu Mar 27 2014 Adam Williamson <awilliam@redhat.com> - 3.12.0-2
- backport upstream patch for touch input

* Mon Mar 24 2014 Richard Hughes <rhughes@redhat.com> - 3.12.0-1
- Update to 3.12.0

* Tue Mar 18 2014 Yanko Kaneti <yaneti@declera.com> - 3.11.92-1
- Update to 3.11.92

* Thu Feb 20 2014 Kalev Lember <kalevlember@gmail.com> - 3.11.90-2
- Rebuilt for cogl soname bump

* Tue Feb 18 2014 Yanko Kaneti <yaneti@declera.com> - 3.11.90-1
- Update to 3.11.90

* Mon Feb 10 2014 Peter Hutterer <peter.hutterer@redhat.com> - 3.11.3-3
- Rebuild for libevdev soname bump

* Wed Feb 05 2014 Kalev Lember <kalevlember@gmail.com> - 3.11.3-2
- Rebuilt for cogl soname bump

* Tue Dec 17 2013 Yanko Kaneti <yaneti@declera.com> - 3.11.3-1
- Update to 3.11.3. New url.

* Tue Oct 29 2013 Yanko Kaneti <yaneti@declera.com> - 3.11.1-1
- First 3.11 development release

* Sat Oct 12 2013 Yanko Kaneti <yaneti@declera.com> - 3.10.1-1
- Update to 3.10.1

* Mon Sep 23 2013 Yanko Kaneti <yaneti@declera.com> - 3.10.0-1
- Update to 3.10.0

* Tue Sep 17 2013 Yanko Kaneti <yaneti@declera.com> - 3.9.92-1
- Update to 3.9.92
- Add appdata
- Add HighContrast icons

* Tue Aug 20 2013 Yanko Kaneti <yaneti@declera.com> - 3.8.2-1
- Update to 3.8.2
- Drop patch merged upstream and do not autoreconf for it

* Fri Aug 09 2013 Kalev Lember <kalevlember@gmail.com> - 3.8.1-6
- Rebuilt for cogl 1.15.4 soname bump

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.8.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat Jun 22 2013 Kalev Lember <kalevlember@gmail.com> - 3.8.1-4
- Obsolete gnome-games-help as well

* Thu Jun 20 2013 Matthias Clasen <mclasen@redhat.com> - 3.8.1-3
- Obsolete gnome-games (for upgrades from f17)

* Fri Jun 14 2013 Matthias Clasen <mclasen@redhat.com> - 3.8.1-2
- Fix preferences

* Mon Apr 15 2013 Kalev Lember <kalevlember@gmail.com> - 3.8.1-1
- Update to 3.8.1

* Wed Mar 27 2013 Yanko Kaneti <yaneti@declera.com> - 3.8.0-1
- Update to 3.8.0

* Tue Mar 19 2013 Yanko Kaneti <yaneti@declera.com> - 3.7.92-1
- Update to 3.7.92

* Tue Feb 19 2013 Yanko Kaneti <yaneti@declera.com> - 3.7.90-1
- New upstream release 3.7.90
- Fix desktop file

* Fri Feb 15 2013 Yanko Kaneti <yaneti@declera.com> - 3.7.4-1
- Initial packaging of standalone swell-foop
